/*
  Custom range styles
  http://danielstern.ca/range.css/
 */

input[type=range] {
  -webkit-appearance: none;
  width: auto;
  margin: 0;
}

input[type=range]:focus {
  outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 4px;
  cursor: pointer;
  box-shadow: none;
  background: #f54768;
  border: 0;
}

input[type=range]::-webkit-slider-thumb {
  box-shadow: none;
  border: 0;
  height: 14px;
  width: 14px;
  border-radius: 100px;
  background: rgba(139, 215, 107, 1);
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -5px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  background: #f65f7c;
}

input[type=range]::-moz-range-track {
  width: 100%;
  height: 4px;
  cursor: pointer;
  box-shadow: none;
  background: #f54768;
  border: 0;
}

input[type=range]::-moz-range-thumb {
  box-shadow: none;
  border: 0;
  height: 14px;
  width: 14px;
  border-radius: 100px;
  background: rgba(139, 215, 107, 1);
  cursor: pointer;
}

input[type=range]::-ms-track {
  width: 100%;
  height: 4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-ms-fill-lower {
  background: #f42f54;
  border: 0;
  border-radius: 50px;
  box-shadow: none;
}

input[type=range]::-ms-fill-upper {
  background: #f54768;
  border: 0;
  border-radius: 50px;
  box-shadow: none;
}

input[type=range]::-ms-thumb {
  box-shadow: none;
  border: 0;
  height: 14px;
  width: 14px;
  border-radius: 100px;
  background: rgba(139, 215, 107, 1);
  cursor: pointer;
  height: 4px;
}

input[type=range]:focus::-ms-fill-lower {
  background: #f54768;
}

input[type=range]:focus::-ms-fill-upper {
  background: #f65f7c;
}

